Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063672 - CVE-2014-1934 python-eyed3: insecure temporary file creation [fedora-all]
Summary: CVE-2014-1934 python-eyed3: insecure temporary file creation [fedora-all]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-eyed3
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=mrniranjan, fst_ping=1
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 08:40 UTC by Murray McAllister
Modified: 2015-05-29 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 14:05:11 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-02-11 08:40:11 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-02-11 08:40:27 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1063671,1063672

Comment 2 Niranjan Mallapadi Raghavender 2014-09-09 03:57:56 UTC
Upstream has fixed the Issue 
https://bitbucket.org/nicfit/eyed3/commits/372bbacb7a70

Comment 3 Brian Pepple 2014-11-06 06:50:47 UTC
I gave up primary ownership of this package a few years back when cicku updated the package. Seem I forgot to update thhe package db to reflect this. I won't have access to a fedora machine for a few weeks (I'm traveling on vacation) so it's best if cicku updated this.

Comment 4 Fedora Admin XMLRPC Client 2014-11-06 06:51:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Niranjan Mallapadi Raghavender 2014-11-06 08:05:10 UTC
Thanks,

If cicku can't do it, I can apply for comaintainer ship of this package do the needful.

Comment 6 Brian Pepple 2014-11-06 18:03:59 UTC
(In reply to Niranjan Mallapadi Raghavender from comment #5)
> Thanks,
> 
> If cicku can't do it, I can apply for comaintainer ship of this package do
> the needful.

That sounds fine.

Comment 7 Niranjan Mallapadi Raghavender 2014-11-14 02:04:36 UTC
Cicku could you please update the package with the fix provided by upstream, In case you can't,  could you please approve commit access request by fas account PJP , so that he can push the security update.

Comment 8 Niranjan Mallapadi Raghavender 2014-11-17 03:34:23 UTC
cicku/ bpebble could you approve the commit request for FAS A/c PJP to update the package with security fix ?

Comment 9 Brian Pepple 2014-11-17 13:55:50 UTC
I approved the commit request.

Comment 12 pjp 2015-04-09 17:32:19 UTC
Hello i@cicku.me,

You plan to fix this soon?

Comment 13 Fedora End Of Life 2015-05-29 10:53:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.